Get Time Reports
curl --request GET \
--url https://api.twine.se/v1/org/time-reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/time-reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/time-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"end_date": "2021-06-01",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"inserted_at": "2023-11-07T05:31:56Z",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"source_external_time_type_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b, VACATION, etc",
"source_system_slug": "twine",
"start_date": "2021-06-01",
"child_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"child_name": "John",
"comment": "Worked on project X",
"extent": 0.5,
"from_time": "08:00",
"minutes": [
480,
480
],
"time_report_request_status": "unknown",
"time_type_id": "<string>",
"to_time": "17:00"
}
],
"pagination": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}Time Reports
Get Time Reports
GET
/
v1
/
org
/
time-reports
Get Time Reports
Authorizations
Bearer token for authentication
Query Parameters
Cursor pagination
Show child attributes
Show child attributes
Parameters for Time Report ordering
Show child attributes
Show child attributes
Filter parameters for Time Report Parameters for Time Report filtering
Show child attributes
Show child attributes
⌘I